CREATE TABLE NNWEB_PAGE_TEMPLATE_TYPE (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNWEB_PAGE_TEMPLATE_TYPE_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('CCA', 'Credit card addition', 'Credit card addition', 'Y');

INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('CCP', 'Credit card payment', 'Credit card payment', 'Y');

INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('DDA', 'Direct debit authorization', 'Direct debit authorization', 'Y');

ALTER TABLE WEB_PAGE_TEMPLATE
ADD TYPE VARCHAR2(3 CHAR);

CREATE OR REPLACE VIEW V_WEB_PAGE_TEMPLATE AS (
  SELECT WPT.ID_WEB_PAGE_TEMPLATE, WPT.NAME, WPT.CONTENT, WPT.ACTIVE, WPT.NNLOCATION_ID, WPT.TYPE,
  WTT.OPIS AS TYPE_OPIS, WTT.INTERNI_OPIS AS TYPE_INTERNI_OPIS
  FROM WEB_PAGE_TEMPLATE WPT
  LEFT OUTER JOIN NNWEB_PAGE_TEMPLATE_TYPE WTT ON WTT.SIFRA = WPT.TYPE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1210, SYSDATE, '5.5', 1130, 'WebPageTemplate type')
;