DROP  VIEW V_DATOTEKE_KUPCEV_CON
;

CREATE OR REPLACE VIEW V_DATOTEKE_KUPCEV_CON AS 
SELECT ID_DATOTEKE_KUPCEV AS ID, ID_KUPCA, ID_POGODBE, DATOTEKA, IME_DATOTEKE, KONCNICA, DATUM_KREIRANJA
FROM DATOTEKE_KUPCEV
WHERE VRSTA='CON' AND ID_KUPCA IS NOT NULL AND ID_POGODBE IS NOT NULL
;

DROP  VIEW V_DATOTEKE_KUPCEV_SIG
;

CREATE OR REPLACE VIEW V_DATOTEKE_KUPCEV_SIG AS 
SELECT ID_DATOTEKE_KUPCEV AS ID, ID_KUPCA, ID_POGODBE, DATOTEKA, IME_DATOTEKE, KONCNICA, DATUM_KREIRANJA
FROM DATOTEKE_KUPCEV
WHERE VRSTA='SIG' AND ID_KUPCA IS NOT NULL AND ID_POGODBE IS NOT NULL
;

ALTER TABLE BATCH
ADD DD_AND_CC_BATCH VARCHAR2(1CHAR)
;

UPDATE BATCH 
SET DD_AND_CC_BATCH='C'
WHERE DD_AND_CC_BATCH IS NULL
;

CREATE TABLE TAX_OFFICE (
ID_TAX_OFFICE VARCHAR2(20 CHAR) NOT NULL,
DESCRIPTION VARCHAR2(200 CHAR) NOT NULL,
INTERNAL_DESCRIPTION VARCHAR2(200 CHAR) NOT NULL,
CONSTRAINT PK_TAX_OFFICE PRIMARY KEY(ID_TAX_OFFICE)
)
;

CREATE TABLE COMPANY_ACTIVITY (
ID_COMPANY_ACTIVITY VARCHAR2(20 CHAR) NOT NULL,
DESCRIPTION VARCHAR2(200 CHAR) NOT NULL,
INTERNAL_DESCRIPTION VARCHAR2(200 CHAR) NOT NULL,
CONSTRAINT PK_COMPANY_ACTIVITY PRIMARY KEY(ID_COMPANY_ACTIVITY)
)
;

ALTER TABLE KUPCI
ADD ID_TAX_OFFICE VARCHAR2(20 CHAR)
;

ALTER TABLE KUPCI
ADD ID_COMPANY_ACTIVITY VARCHAR2(20 CHAR)
;

ALTER TABLE NNODNOS 
ADD GUARANTOR VARCHAR2(1 CHAR)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2160, SYSDATE, '5.5', 2080, 'BATCH')
;