CREATE TABLE SC_EVENTPARATT (
  ID INTEGER NOT NULL,
  SC_EVENTPAR_ID INTEGER NOT NULL,
  ATT_DATE DATE NOT NULL
);

ALTER TABLE SC_EVENTPARATT ADD CONSTRAINT SC_EVENTPARATT_PK PRIMARY KEY (ID);

ALTER TABLE SC_EVENTPARATT ADD CONSTRAINT SC_EVENTPARATT_EP_FK FOREIGN KEY (SC_EVENTPAR_ID) REFERENCES SC_EVENTPAR(ID);

ALTER TABLE SC_EVENTPARATT ADD CONSTRAINT SC_EVENTPARATT_U1 UNIQUE(SC_EVENTPAR_ID, ATT_DATE);

CREATE SEQUENCE SC_EVENTPARATT_SEQ START WITH 1;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(543, SYSDATE, '5.5', 463, 'Sailing Centre');