CREATE TABLE MENU (
	ID NUMBER NOT NULL,
	MENU_DATE DATE,
	MENU_NAME VARCHAR2(300 CHAR),
	MENU_DESCRIPTION VARCHAR2(2000 CHAR),
	MENU_PRICE NUMBER,
	ID_FILE_DATA NUMBER,
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT MENU_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE MENU_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_MENU AS (
	SELECT M.ID, M.MENU_DATE, M.MENU_NAME, M.MENU_DESCRIPTION, M.MENU_PRICE, M.ID_FILE_DATA, M.ACT,
	FD.NAME AS FILE_DATA_NAME, FD.EXTENSION AS FILE_DATA_EXTENSION, FD.DATA AS FILE_DATA_DATA
	FROM MENU M
  LEFT OUTER JOIN FILE_DATA FD ON FD.ID_FILE_DATA = M.ID_FILE_DATA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (758, SYSDATE, '5.5', 678, 'Menu');