alter table kupci_zdruzeni
  add provizija_delitve number default 0;


CREATE TABLE PLATNI_INSTRUMENTI ( 
  PLATNI_INSTRUMENT  VARCHAR2 (10)  NOT NULL, 
  OPIS               VARCHAR2 (100)  NOT NULL, 
  VRSTA              NUMBER, 
  CONSTRAINT PK_PLATNI_INSTRUMENTI
  PRIMARY KEY ( PLATNI_INSTRUMENT )); 

INSERT INTO DATA_KEYS ( IZVOR_TABELA, IZVOR_POLJE, IME_TABELE, IME_POLJA, TIP_POLJA, POLJE_OPIS, TIP_OPIS ) VALUES ( 'nnCards', 'VRSTA_DENARJA', 'PLATNI_INSTRUMENTI', 'PLATNI_INSTRUMENT', 'S', 'OPIS', 'S'); 

INSERT INTO SIFRANT ( STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR ) VALUES ( 'PLATNI_INSTRUMENTI', 'VRSTA', '1', 'Gotovina', 'Gotovina', '1'); 
INSERT INTO SIFRANT ( STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR ) VALUES ( 'PLATNI_INSTRUMENTI', 'VRSTA', '2', 'ekovi', 'ekovi', '1'); 
INSERT INTO SIFRANT ( STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR ) VALUES ( 'PLATNI_INSTRUMENTI', 'VRSTA', '3', 'Kreditne kartice', 'Kreditne kartice', '1'); 
INSERT INTO SIFRANT ( STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR ) VALUES ( 'PLATNI_INSTRUMENTI', 'VRSTA', '4', 'Debitne kartice', 'Debitne kartice', '1'); 

INSERT INTO PLATNI_INSTRUMENTI ( PLATNI_INSTRUMENT, OPIS, VRSTA ) VALUES ( 'GOD', 'Gotovina domaa', 1); 
INSERT INTO PLATNI_INSTRUMENTI ( PLATNI_INSTRUMENT, OPIS, VRSTA ) VALUES ( 'GOT', 'Gotovina tuja', 1); 
INSERT INTO PLATNI_INSTRUMENTI ( PLATNI_INSTRUMENT, OPIS, VRSTA ) VALUES ( 'CEK', 'ek', 2); 
INSERT INTO PLATNI_INSTRUMENTI ( PLATNI_INSTRUMENT, OPIS, VRSTA ) VALUES ( 'KAR', 'Kreditna kartica', 3); 

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (129, SYSDATE, '5.5', 49, 'KUPCI ZDRUZENI');